Bug 1395662 - Firstboot: Exception occured while trying to register the system using activation-key with org and activation-key field empty
Summary: Firstboot: Exception occured while trying to register the system using activa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.9
Hardware: Unspecified
OS: Unspecified
urgent
low
Target Milestone: rc
: ---
Assignee: Chris Snyder
QA Contact: John Sefler
URL:
Whiteboard:
: 1395664 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-16 11:39 UTC by Shwetha Kallesh
Modified: 2017-03-21 10:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 10:57:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
Exception while trying to register with empty activation-key field (241.14 KB, image/png)
2016-11-16 11:39 UTC, Shwetha Kallesh
no flags Details
Error dialog for empty activation key field (218.10 KB, image/png)
2016-11-28 08:06 UTC, Shwetha Kallesh
no flags Details


Links
System ID Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1522 None None None 2016-11-21 19:21:09 UTC
Red Hat Product Errata RHSA-2017:0698 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2017-03-21 12:39:12 UTC

Description Shwetha Kallesh 2016-11-16 11:39:15 UTC
Created attachment 1221110 [details]
Exception while trying to register with empty activation-key field

Description of problem:
Firstboot: Exception occured while trying to register the system using activation-key with org and activation-key field empty

Version-Release number of selected component (if applicable):
[root@dhcp35-179 ~]# rpm -qa | grep firstboot
subscription-manager-firstboot-1.18.4-1.el6.x86_64
firstboot-1.110.15-4.el6.x86_64

How reproducible:


Steps to Reproduce:
1.launch firstboot
2.Accept license agreement --> in Setup Software update screen , select , yes I would like to register and click on forward button -----> In choose service page click on forward button

3.In Subscription-management registration page ----> Select "I will use Activation key", click on forward  ------->  Do not enter any values in activation-key and organisation fields , just click on forward button

Actual results:
Exception is thrown

Expected results:
A message saying "You must enter organization"


Additional info:

Exception also occurs if you enter a valid org but activation-key field is left empty , for that case a message saying "you must enter valid activation-key" should be thrown

Comment 5 Chris Snyder 2016-11-21 18:48:05 UTC
Relevant traceback of reproduction:

firstboot 1.110.15 exception report
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/firstboot/rhsm_login.py", line 226, in on_register_error
    self.handle_register_exception(obj, msg, exc_list)
  File "/usr/share/rhn/up2date_client/firstboot/rhsm_login.py", line 240, in handle_register_exception
    if isinstance(exc_info[1], registergui.RemoteUnregisterException):
TypeError: 'MessageType' object does not support indexing

Local variables in innermost frame:
msg: You must enter an organization.
exc_info: <enum GTK_MESSAGE_ERROR of type GtkMessageType>
self: <rhsm_login.moduleClass object at 0x27b4810>
obj: <FirstbootWidget object at 0x2cc8050 (FirstbootWidget at 0x2c4c560)>

Comment 6 Chris Snyder 2016-11-21 19:13:06 UTC
*** Bug 1395664 has been marked as a duplicate of this bug. ***

Comment 7 Chris Snyder 2016-11-21 19:21:10 UTC
Added PR for the fix upstream. It turns out the issue was a failure to type check the exception info we were getting at one point in the code resulting in a failure of our exception reporting mechanisms. This causes us to fail to display an error/exception dialog with the appropriate message.

Comment 9 Shwetha Kallesh 2016-11-28 08:06:37 UTC
Created attachment 1225165 [details]
Error dialog for empty activation key field

Do not see any exception but see a error dialog now , marking bug as verified
[root@dhcp35-179 ~]# rpm -qa | grep firstboot
subscription-manager-firstboot-1.18.5-1.el6.x86_64
firstboot-1.110.15-4.el6.x86_64

Comment 11 errata-xmlrpc 2017-03-21 10:57:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0698.html


Note You need to log in before you can comment on or make changes to this bug.